{% extends "base.html" %}

{% block content %}

{% for message in info %}
	{{ message }}
{% endfor %}	
<form method = post>
<div class="container nowrap">

		<label for="example-datetime-local-input" class="col-2 col-form-label">Date and time</label>
		<div class="col-10">
		<input class="form-control" type="datetime-local" value= {{ ddate }} name="datetime" >
		</div>

	<table class="table table-striped ">
		<thead>
			<tr>
				<th scope="col">
					Q#				
				</th>

				<th scope="col">
					Your selection
				</th>

				<th scope="col">
					Answer key
				</th>


			</tr>
		</thead>

		<tbody>
			{% for field,answer,omt,gvbck in zipped %}
			<tr>
				<th scope="col">
					{{ loop.index }}
				</th>

				<th scope="col">
					{% for choice in field %}
						<div class="form-check form-check-inline " >
							{{  choice(class_="form-check-input") }}
						</div> 
					{% endfor %}
				</th>

				<th scope="col">
					{{ answer }}
				</th> 

				<th scope="col">
					{{ omt }}
					{{ omt.label }}
				</th> 
				<th scope="col">
					{{ gvbck }}
					{{ gvbck.label }}
				</th> 
			</tr>
			{% endfor %}
		</tbody>
	</table>


	<input id="submit" name="submit" type="submit" value="Send"><br>

	<br>
	<a href="{{ url_for('admin') }}">Back to admin page</a>
	<br>
	<br>
	<a href="{{ url_for('logout') }}">Logout</a>

</div>
</form>


{% endblock %}
